/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.openxma.dsl.pom.model;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Predefined Command</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomPackage#getPredefinedCommand()
 * @model
 * @generated
 */
public enum PredefinedCommand implements Enumerator {
	/**
     * The '<em><b>Close Ok</b></em>' literal object.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @see #CLOSE_OK_VALUE
     * @generated
     * @ordered
     */
	CLOSE_OK(0, "closeOk", "closeOK"),

	/**
     * The '<em><b>Close Cancel</b></em>' literal object.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @see #CLOSE_CANCEL_VALUE
     * @generated
     * @ordered
     */
	CLOSE_CANCEL(1, "closeCancel", "closeCancel");

	/**
     * The '<em><b>Close Ok</b></em>' literal value.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Close OK</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @see #CLOSE_OK
     * @model name="closeOk" literal="closeOK"
     * @generated
     * @ordered
     */
	public static final int CLOSE_OK_VALUE = 0;

	/**
     * The '<em><b>Close Cancel</b></em>' literal value.
     * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Close Cancel</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
     * @see #CLOSE_CANCEL
     * @model name="closeCancel"
     * @generated
     * @ordered
     */
	public static final int CLOSE_CANCEL_VALUE = 1;

	/**
     * An array of all the '<em><b>Predefined Command</b></em>' enumerators.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private static final PredefinedCommand[] VALUES_ARRAY =
		new PredefinedCommand[] {
            CLOSE_OK,
            CLOSE_CANCEL,
        };

	/**
     * A public read-only list of all the '<em><b>Predefined Command</b></em>' enumerators.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static final List<PredefinedCommand> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
     * Returns the '<em><b>Predefined Command</b></em>' literal with the specified literal value.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static PredefinedCommand get(String literal) {
        for (int i = 0; i < VALUES_ARRAY.length; ++i) {
            PredefinedCommand result = VALUES_ARRAY[i];
            if (result.toString().equals(literal)) {
                return result;
            }
        }
        return null;
    }

	/**
     * Returns the '<em><b>Predefined Command</b></em>' literal with the specified name.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static PredefinedCommand getByName(String name) {
        for (int i = 0; i < VALUES_ARRAY.length; ++i) {
            PredefinedCommand result = VALUES_ARRAY[i];
            if (result.getName().equals(name)) {
                return result;
            }
        }
        return null;
    }

	/**
     * Returns the '<em><b>Predefined Command</b></em>' literal with the specified integer value.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public static PredefinedCommand get(int value) {
        switch (value) {
            case CLOSE_OK_VALUE: return CLOSE_OK;
            case CLOSE_CANCEL_VALUE: return CLOSE_CANCEL;
        }
        return null;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private final int value;

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private final String name;

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private final String literal;

	/**
     * Only this class can construct instances.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	private PredefinedCommand(int value, String name, String literal) {
        this.value = value;
        this.name = name;
        this.literal = literal;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public int getValue() {
      return value;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String getName() {
      return name;
    }

	/**
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	public String getLiteral() {
      return literal;
    }

	/**
     * Returns the literal value of the enumerator, which is its string representation.
     * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * @generated
     */
	@Override
	public String toString() {
        return literal;
    }
	
} //PredefinedCommand
